## jline
Class ClassNameCompletor

    java.lang.Object
      jline.SimpleCompletor
          jline.ClassNameCompletor

All Implemented Interfaces:
  Cloneable, Completor

public class ClassNameCompletor
extends SimpleCompletor

A Completor implementation that completes java class names. By default, it scans the java class path to locate all the classes.

Author:
  Marc Prud'hommeaux

Nested Class Summary

Nested classes inherited from class jline.SimpleCompletor
`SimpleCompletor.NoOpFilter, SimpleCompletor.SimpleCompletorFilter`

Field Summary

Fields inherited from class jline.SimpleCompletor
`candidates, delimiter, filter`

Constructor Summary
`ClassNameCompletor()` Complete candidates using all the classes available in the java CLASSPATH.
`ClassNameCompletor(SimpleCompletor.SimpleCompletorFilter filter)`

Method Summary
`static String[]` `getClassNames()`

Methods inherited from class jline.SimpleCompletor
`addCandidateString, clone, complete, getCandidates, getDelimiter, setCandidates, setCandidateStrings, setDelimiter`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassNameCompletor

    public ClassNameCompletor()
                       throws IOException

  Complete candidates using all the classes available in the java CLASSPATH.

### ClassNameCompletor

    public ClassNameCompletor(SimpleCompletor.SimpleCompletorFilter filter)
                       throws IOException

Method Detail

### getClassNames

    public static String[] getClassNames()
                                  throws IOException

  Throws:
    `IOException`

Released under the terms of the BSD license